Page MenuHomePhabricator

Files from flickr with same filename are uploaded to same title
Closed, ResolvedPublic

Description

In addition to bug 43320, in the following step the UW failed to identify that the auto-entered filenames where identical and upon confirmation went to the next step, uploading three files under the same title (see URL).
After the third upload it realised the mistake and told me "There is another file already on the wiki with the same filename" for all the other files, offering to edit metadata for them.


Version: master
Severity: major
URL: https://commons.wikimedia.org/wiki/File:Scribe_Machine_Acquisition.jpg
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=54750
https://bugzilla.wikimedia.org/show_bug.cgi?id=43320

Details

Reference
bz43590

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:17 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz43590.
Nemo_bis created this task.Jan 2 2013, 3:36 PM

With the second attempt, two additional files were accepted; the first file in the list consistently loaded forever finally failing, but this time also decided to show "There is another file already on the site with the same content" instead when canceled.

https://gerrit.wikimedia.org/r/#/c/42775/ generates a new title if same title is found.

I think this is fixed now.

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:24 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:22 AM